#ifndef _ERIFS_H_
#define _ERIFS_H_
#include <stdio.h>
#include "util.h"
#include "config.h"

typedef struct
{
  int rank, nproc, nfiles;
  int *numints;
  char *basename;
} ERIFS;

typedef struct
{
  double val;
  unsigned short i, j, k, l;
} ERINT;

/* erifs.c */
extern FILE *openERIFile (int rank, int file_no, const char *bname);
extern FILE *createERIFile (int rank, int file_no, const char *bname);
extern ERIFS *init_ERIFS (int nst, int nend, const char *sname);
extern void clean_ERIFS (ERIFS * e);
#endif
