#ifndef _RYS_H_
#define _RYS_H_

#define MAXROOTS 11
#define MAXRP1 12
#define MAXRP2 13
#define CSIZE 144
#define TSIZE 288
#define RSIZE 121
#define FSIZE 23
#define THRESHOLD 1.e-14

/* rys.c */
void Rys_setB00 (double x);
void Rys_setB1 (double x);
void Rys_setB1p (double x);
void Rys_setC (double x);
void Rys_setCp (double x);
const double *RysWeights (void);
const double *RysRoots (void);
void Rys_findRoots (int n, double X);
void RysInit (void);
void RysRecur (double G[][11], int l12, int l34);
double RysShift (double abx, double cdx, double G[][11], int l12, int l2,
		 int l34, int l4);
#endif
